weka.gui

## Class EnvironmentField

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - weka.gui.EnvironmentField

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyEditor, java.io.Serializable, javax.accessibility.Accessible, EnvironmentHandler, CustomPanelSupplier
  Direct Known Subclasses:
    FileEnvironmentField

      public class EnvironmentField
      extends javax.swing.JPanel
      implements EnvironmentHandler, java.beans.PropertyEditor, CustomPanelSupplier

  Widget that displays a label and a combo box for selecting environment variables. The enter arbitrary text, select an environment variable or a combination of both. Any variables are resolved (if possible) and resolved values are displayed in a tip-text.
  Version:
    $Revision: 13074 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EnvironmentField.WideComboBox` Combo box that allows the drop-down list to be wider than the component itself.

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvironmentField()` Construct an EnvironmentField with no label.
    `EnvironmentField(Environment env)` Construct an EnvironmentField with no label.
    `EnvironmentField(java.lang.String label)` Constructor.
    `EnvironmentField(java.lang.String label, Environment env)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)`
    `java.lang.String` | `getAsText()`
    `java.awt.Component` | `getCustomEditor()`
    `javax.swing.JPanel` | `getCustomPanel()` Gets the custom panel for the object.
    `java.lang.String` | `getJavaInitializationString()`
    `java.lang.String[]` | `getTags()`
    `java.lang.String` | `getText()` Return the text from the combo box.
    `java.lang.Object` | `getValue()`
    `boolean` | `isPaintable()`
    `static void` | `main(java.lang.String[] args)` Main method for testing this class
    `void` | `paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)`
    `void` | `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
    `void` | `setAsText(java.lang.String s)`
    `void` | `setEditable(boolean editable)` Set the editable status of the combo box.
    `void` | `setEnabled(boolean enabled)` Set the enabled status of the combo box.
    `void` | `setEnvironment(Environment env)` Set the environment variables to display in the drop down list.
    `void` | `setLabel(java.lang.String label)` Set the label for this widget.
    `void` | `setText(java.lang.String text)` Set the text to display in the editable combo box.
    `void` | `setValue(java.lang.Object o)`
    `boolean` | `supportsCustomEditor()`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentField

          public EnvironmentField()

      Construct an EnvironmentField with no label.

    - #### EnvironmentField

          public EnvironmentField(Environment env)

      Construct an EnvironmentField with no label.
      Parameters:
        `env` - the environment variables to display in the drop-down box

    - #### EnvironmentField

          public EnvironmentField(java.lang.String label,
                                  Environment env)

      Constructor.
      Parameters:
        `label` - the label to use
        `env` - the environment variables to display in the drop-down box

    - #### EnvironmentField

          public EnvironmentField(java.lang.String label)

      Constructor.
      Parameters:
        `label` - the label to use

  - ### Method Detail

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the label for this widget.
      Parameters:
        `label` - the label to use

    - #### setText

          public void setText(java.lang.String text)

      Set the text to display in the editable combo box.
      Parameters:
        `text` - the text to display

    - #### getText

          public java.lang.String getText()

      Return the text from the combo box.
      Returns:
        the text from the combo box

    - #### setAsText

          public void setAsText(java.lang.String s)

      Specified by:
        `setAsText` in interface `java.beans.PropertyEditor`

    - #### getAsText

          public java.lang.String getAsText()

      Specified by:
        `getAsText` in interface `java.beans.PropertyEditor`

    - #### setValue

          public void setValue(java.lang.Object o)

      Specified by:
        `setValue` in interface `java.beans.PropertyEditor`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `java.beans.PropertyEditor`

    - #### getJavaInitializationString

          public java.lang.String getJavaInitializationString()

      Specified by:
        `getJavaInitializationString` in interface `java.beans.PropertyEditor`

    - #### isPaintable

          public boolean isPaintable()

      Specified by:
        `isPaintable` in interface `java.beans.PropertyEditor`

    - #### getTags

          public java.lang.String[] getTags()

      Specified by:
        `getTags` in interface `java.beans.PropertyEditor`

    - #### supportsCustomEditor

          public boolean supportsCustomEditor()

      Specified by:
        `supportsCustomEditor` in interface `java.beans.PropertyEditor`

    - #### getCustomEditor

          public java.awt.Component getCustomEditor()

      Specified by:
        `getCustomEditor` in interface `java.beans.PropertyEditor`

    - #### getCustomPanel

          public javax.swing.JPanel getCustomPanel()

      Description copied from interface: `CustomPanelSupplier`
      Gets the custom panel for the object.
      Specified by:
        `getCustomPanel` in interface `CustomPanelSupplier`
      Returns:
        the custom JPanel

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

      Specified by:
        `addPropertyChangeListener` in interface `java.beans.PropertyEditor`
      Overrides:
        `addPropertyChangeListener` in class `java.awt.Container`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

      Specified by:
        `removePropertyChangeListener` in interface `java.beans.PropertyEditor`
      Overrides:
        `removePropertyChangeListener` in class `java.awt.Component`

    - #### paintValue

          public void paintValue(java.awt.Graphics gfx,
                                 java.awt.Rectangle box)

      Specified by:
        `paintValue` in interface `java.beans.PropertyEditor`

    - #### setEnvironment

          public void setEnvironment(Environment env)

      Set the environment variables to display in the drop down list.
      Specified by:
        `setEnvironment` in interface `EnvironmentHandler`
      Parameters:
        `env` - the environment variables to display

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Set the enabled status of the combo box.
      Overrides:
        `setEnabled` in class `javax.swing.JComponent`
      Parameters:
        `enabled` - true if the combo box is enabled

    - #### setEditable

          public void setEditable(boolean editable)

      Set the editable status of the combo box.
      Parameters:
        `editable` - true if the combo box is editable

    - #### main

          public static void main(java.lang.String[] args)

      Main method for testing this class
      Parameters:
        `args` - command line args (ignored)